{
  imports = [
    ./global

    ./features/fish
    ./features/direnv
    ./features/topgrade
    ./features/neovim
    ./features/ghostty
    ./features/wezterm
    ./features/yazi
    ./features/emacs

    ./features/hyprland

    ./features/suites/cli
    ./features/suites/desktop
    ./features/suites/development
  ];

  hostName = "aspi";
  is-nixos = true;
  terminal = "ghostty";

  #  -------   ----------
  # | eDP-1 | | HDMI-A-1 |
  #  -------   ----------
  monitors = [
    {
      name = "HDMI-A-1";
      # width = 1680;
      # height = 1050;
      workspaces = [
        "1"
        "2"
        "3"
        "4"
        "5"
      ];
      primary = true;
    }
    {
      name = "eDP-1";
      # width = 1680;
      # height = 1050;
      workspaces = [
        "6"
        "7"
        "8"
        "9"
        "10"
      ];
    }
  ];
}
