{
  config,
  lib,
  pkgs,
  ...
}: {
  programs.thunar.enable = true;
  programs.xfconf.enable = true; # Persist saved preferences
  programs.thunar.plugins = with pkgs.xfce; [
    thunar-archive-plugin
    thunar-volman
    thunar-media-tags-plugin
  ];
  services.gvfs.enable = true; # Mount, trash, and other functionalities
  services.tumbler.enable = true; # Thumbnail support for images
}
